## pike8.0 8.0.1116

=== debian/changelog ===
pike8.0 (8.0.1116-1) unstable; urgency=low

  * New upstream release.
    * Drop freetype-pkgconfig.patch; now included upstream.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 31 Jan 2021 21:55:53 +0100
