=== debian/control ===
Source: pike8.0
Section: interpreters
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Standards-Version: 4.1.4
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), bison,
 sharutils, bc, pkg-config, dh-autoreconf,
 libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
 libbz2-dev, libgdbm-dev, unixodbc-dev, default-libmysqlclient-dev,
 libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
 libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
 libfreetype6-dev, freeglut3-dev, libjpeg-dev,
 libtiff-dev, librsvg2-dev (>= 2.7),
 libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
 libkrb5-dev, libsass-dev, libwebp-dev
Build-Conflicts: libutahglx-dev
Homepage: http://pike.lysator.liu.se/
Vcs-Svn: svn://svn.kibibyte.se/pike/trunk
Vcs-Browser: http://svn.kibibyte.se/pike/

Package: pike8.0-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pike8.0-doc
Description: Powerful interpreted programming language
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation
 together, with support for graphics formats like SVG, JPG, PNG, GIF,
 XCF and many others, database connectivity, advanced cryptography,
 XML/HTML parsers and others. To learn more about pike, please visit
 http://pike.lysator.liu.se/ Note that some of the Pike features are
 found in other pike8.0-* packages (image processing, MySQL,
 PostgreSQL, SANE and more).

Package: pike8.0
Architecture: all
Depends: pike8.0-core (>= ${source:Version}), pike8.0-image (>= ${source:Version}), 
 pike8.0-gdbm (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), ${misc:Depends}
Recommends: pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-dev (>= ${source:Version})
Suggests: pike8.0-doc (= ${source:Version})
Description: Recommended metapackage for Pike 8.0
 This is a metapackage which depends upon several other Pike
 packages that together make up the recommended Pike installation.
 If you want to install every packaged component of the Pike 
 distribution, please install the pike8.0-full package.
 .
 If you want to remove several components this package depends
 upon, you can purge this package without worrying about the
 functionality loss in Pike and then remove the packages you
 don't need on your system.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 pike8.0-core (= ${binary:Version}), pike8.0-image (= ${binary:Version})
Description: Development files for Pike 8.0
 This package contains files you will need to develop C extension modules 
 for Pike. The package depends on the recommended set of packages for the 
 Pike environment.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-manual
Architecture: all
Section: oldlibs
Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
Description: transitional package for merging into pike8.0-doc
 The documentation previously split between pike8.0-manual and
 pike8.0-reference has been merged into pike8.0-doc, since most of the
 size consists of images, which were duplicated in both packages.
 .
 This package can be safely removed after completed upgrade.

Package: pike8.0-reference
Architecture: all
Section: oldlibs
Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
Description: transitional package for merging into pike8.0-doc
 The documentation previously split between pike8.0-manual and
 pike8.0-reference has been merged into pike8.0-doc, since most of the
 size consists of images, which were duplicated in both packages.
 .
 This package can be safely removed after completed upgrade.

Package: pike8.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: pike8.0-manual (<< 8.0.162-1~), pike8.0-reference (<< 8.0.162-1~)
Replaces: pike8.0-manual (<< 8.0.162-1~), pike8.0-reference (<< 8.0.162-1~)
Description: Pike 8.0 documentation
 This package contains the traditional manual and auto-generated
 reference documentation.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-full
Architecture: all
Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-fuse (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
Description: Metapackage for Pike 8.0
 This package depends on all the components that make up the Pike
 language distribution. It will pull in a LOT of packages the
 Pike components depend upon!
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: MySQL modules for Pike
 This package contains Pike modules providing access to MySQL
 databases: Mysql and Sql.mysql(s).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-pg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: PostgreSQL modules for Pike
 This package contains Pike module providing access to PostgreSQL
 databases: Postgres, Sql.postgres, and Sql.postgres_result.
 .
 Note: These modules are deprecated in favour of the pure Pike
 Sql.pgsql module, which is included in the core package.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: ODBC modules for Pike
 This package contains Pike modules providing glue to the ODBC
 interface: Odbc, Sql.odbc, and Sql.odbc_result.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Suggests: pike8.0-image (= ${source:Version})
Description: SVG format support for Pike
 This package provides an SVG graphics format module, Image.SVG. It
 has been separated from the pike8.0-image module because of its quite
 extensive dependencies.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Suggests: pike8.0-svg (= ${source:Version})
Description: Image modules for Pike
 This package provides many powerful image processing functions to
 Pike programs. It contains the modules Image (except Image.SVG),
 Graphics, Colors, and Protocols.X.XImage.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SDL module for Pike
 This module provides the Pike interface to the SDL library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-gdbm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Gdbm module for Pike
 This Pike module provides access to gdbm databases.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-gl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Mesa modules for Pike
 This package contains the Pike modules providing access to the Mesa
 3D graphics library: GL, GLU (GL Utilities), and GLUE (GL Universal
 Environment).
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sane
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SANE module for Pike
 This Pike module provides access to SANE.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-pcre
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: PCRE module for Pike
 This Pike module (Regexp.PCRE) enables one to use the PCRE (Perl
 compatible regular expressions) library from within the Pike
 programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-bzip2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Bzip2 module for Pike
 This Pike module enables one to use the Bzip2 compression
 algorithm from within the Pike programs.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Filesystem in USErspace support for Pike
 This Pike module enables one to export filesystems to the Linux
 kernel using the FUSE library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: SQLite module for Pike
 This Pike module enables one to use the SQLite embedded database
 library.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-dnssd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: DNS Service Discovery (DNS-SD) for Pike
 This Pike module enables one to take advantage of DNS service discovery.
 .
 DNS Service Discovery is a way of using standard DNS programming interfaces,
 servers, and packet formats to browse the network for services.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-kerberos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Replaces: pike8.0-core (<< 8.0.28-4~)
Breaks: pike8.0-core (<< 8.0.28-4~)
Description: Kerberos and GSSAPI modules for Pike
 This package contains the Kerberos and GSSAPI Pike modules (although
 GSSAPI is a generic API; Kerberos is the most common mechanism),
 providing bindings to the MIT Kerberos libraries.
 .
 Pike is an interpreted programming language, for more information 
 see the description of the pike8.0-core package.

Package: pike8.0-web-sass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
Description: Sass CSS precompiler modules for Pike
 This package contains the Web.Sass module for Pike. Sass is a
