=== debian/changelog ===
pike8.0 (8.0.1738-1build2) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:33:31 +0000

pike8.0 (8.0.1738-1build1) lunar; urgency=medium

  * No-change rebuild against freeglut3.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Nov 2022 23:31:30 +0000

pike8.0 (8.0.1738-1) unstable; urgency=low

  * New upstream release. Patch from previous upload no longer needed.
  * Change to Debhelper compat level 12, declared in debian/control
    instead of debian/compat.
  * Drop transitional packages -reference and -manual (Closes: #940743).
  * Drop redundant build dependency on dh-autoreconf.
  * Drop extra-licence-file Lintian overrides.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 08 Aug 2022 00:07:15 +0200

pike8.0 (8.0.1116-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with autoconf2.69 to workaround FTBFS with autocof 2.71.
    (Closes: #978882)

 -- Adrian Bunk <bunk@debian.org>  Sat, 19 Mar 2022 11:27:09 +0200
