=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pike8.0
 Section: interpreters
 Priority: optional
-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
 Standards-Version: 4.1.4
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), bison,
- sharutils, bc, pkg-config, dh-autoreconf,
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper-compat (= 12), bison,
+ sharutils, bc, pkg-config, autoconf2.69,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
  libbz2-dev, libgdbm-dev, unixodbc-dev, default-libmysqlclient-dev,
  libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
@@ -65,28 +66,6 @@
  Pike is an interpreted programming language, for more information 
  see the description of the pike8.0-core package.
 
-Package: pike8.0-manual
-Architecture: all
-Section: oldlibs
-Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
-Description: transitional package for merging into pike8.0-doc
- The documentation previously split between pike8.0-manual and
- pike8.0-reference has been merged into pike8.0-doc, since most of the
- size consists of images, which were duplicated in both packages.
- .
- This package can be safely removed after completed upgrade.
-
-Package: pike8.0-reference
-Architecture: all
-Section: oldlibs
-Depends: pike8.0-doc (>= 8.0.162-1~), ${misc:Depends}
-Description: transitional package for merging into pike8.0-doc
- The documentation previously split between pike8.0-manual and
- pike8.0-reference has been merged into pike8.0-doc, since most of the
- size consists of images, which were duplicated in both packages.
- .
- This package can be safely removed after completed upgrade.
-
 Package: pike8.0-doc
 Architecture: all
 Section: doc
@@ -277,3 +256,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
 Description: Sass CSS precompiler modules for Pike
  This package contains the Web.Sass module for Pike. Sass is a
+ pre-processing language for CSS. It allows you to write cleaner
+ stylesheets and makes collaboration on your CSS a breeze.
+ .
+ Pike is an interpreted programming language, for more information 
+ see the description of the pike8.0-core package.
