=== debian/changelog ===
pike8.0 (8.0.1956-4) unstable; urgency=medium

  * Add libcrypt-dev to Build-Depends (Closes: #1106960).
  * Drop the Fuse module, as it depends on the obsolete FUSE 2 (Closes:
    #1084423).
  * Replace obsolete pkg-config build dependency with pkgconf.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 08 Jan 2026 21:50:02 +0100

pike8.0 (8.0.1956-3) unstable; urgency=medium

  * gcc15.patch: Delete the -traditional-cpp kludge for MacOS X. It causes
    gcc to hang on s390x.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Oct 2025 20:21:22 +0200

pike8.0 (8.0.1956-2) unstable; urgency=medium

  * gcc15.patch: Fixes to compile with GCC 15.
  * Try building without dynamic_module_makefile.in-libgcc.patch (probably
    does not close #1085253).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2025 17:06:12 +0200

pike8.0 (8.0.1956-1) unstable; urgency=low

  * Switch to Git versioning on salsa.debian.org
  * New upstream version 8.0.1956
  * Refresh patches. Applied upstream: undefined_htons.patch
  * Update libfreetype-dev dependency.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 Feb 2025 21:34:30 +0100

pike8.0 (8.0.1738-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Replace MPL text with link to common-licenses.
  * Fix implicit declarations (Closes: #1066378).
  * Add note on dropped PCRE module.

 -- Bastian Germann <bage@debian.org>  Sat, 20 Apr 2024 08:24:08 +0000

pike8.0 (8.0.1738-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libnsl-dev to Build-Depends (Closes: #1065127)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Mar 2024 12:50:21 +0100

pike8.0 (8.0.1738-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not install former pike8.0-pcre files into -core (Closes: #1051287).

 -- Bastian Germann <bage@debian.org>  Wed, 06 Sep 2023 22:00:09 +0000

pike8.0 (8.0.1738-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop pike8.0-pcre (Closes: #999992).

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 11:50:42 +0000
