=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: pike8.0
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Magnus Holmgren <holmgren@debian.org>
 Standards-Version: 4.1.4
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper-compat (= 12), bison,
- sharutils, bc, pkg-config, autoconf2.69,
+ sharutils, bc, pkgconf, autoconf2.69,
  libgmp10-dev, nettle-dev (>= 2.1~), zlib1g-dev | libz-dev,
  libbz2-dev, libgdbm-dev, unixodbc-dev, default-libmysqlclient-dev,
- libpq-dev, libsqlite3-dev, libpcre3-dev, libsdl-mixer1.2-dev,
+ libpq-dev, libsqlite3-dev, libsdl-mixer1.2-dev,
  libsdl1.2-dev, libsane-dev, x11proto-gl-dev, libxpm-dev,
- libfreetype6-dev, freeglut3-dev, libjpeg-dev,
- libtiff-dev, librsvg2-dev (>= 2.7),
- libfuse-dev, libfftw3-dev, libavahi-compat-libdnssd-dev,
- libkrb5-dev, libsass-dev, libwebp-dev
+ libfreetype-dev, freeglut3-dev, libjpeg-dev,
+ libtiff-dev, librsvg2-dev (>= 2.7), libcrypt-dev,
+ libfftw3-dev, libavahi-compat-libdnssd-dev,
+ libkrb5-dev, libsass-dev, libwebp-dev, libnsl-dev
 Build-Conflicts: libutahglx-dev
 Homepage: http://pike.lysator.liu.se/
-Vcs-Svn: svn://svn.kibibyte.se/pike/trunk
-Vcs-Browser: http://svn.kibibyte.se/pike/
+Vcs-Git: https://salsa.debian.org/holmgren/pike.git
+Vcs-Browser: https://salsa.debian.org/holmgren/pike
 
 Package: pike8.0-core
 Architecture: any
@@ -37,7 +36,7 @@
 Package: pike8.0
 Architecture: all
 Depends: pike8.0-core (>= ${source:Version}), pike8.0-image (>= ${source:Version}), 
- pike8.0-gdbm (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), ${misc:Depends}
+ pike8.0-gdbm (>= ${source:Version}), ${misc:Depends}
 Recommends: pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-dev (>= ${source:Version})
 Suggests: pike8.0-doc (= ${source:Version})
 Description: Recommended metapackage for Pike 8.0
@@ -81,7 +80,7 @@
 
 Package: pike8.0-full
 Architecture: all
-Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-pcre (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-fuse (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
+Depends: ${misc:Depends}, pike8.0 (= ${source:Version}), pike8.0-mysql (>= ${source:Version}), pike8.0-pg (>= ${source:Version}), pike8.0-odbc (>= ${source:Version}), pike8.0-sdl (>= ${source:Version}), pike8.0-gdbm (>= ${source:Version}), pike8.0-gl (>= ${source:Version}), pike8.0-sane (>= ${source:Version}), pike8.0-doc (= ${source:Version}), pike8.0-dev (>= ${source:Version}), pike8.0-svg (>= ${source:Version}), pike8.0-bzip2 (>= ${source:Version}), pike8.0-sqlite (>= ${source:Version}), pike8.0-dnssd (>= ${source:Version}), pike8.0-kerberos (>= ${source:Version})
 Description: Metapackage for Pike 8.0
  This package depends on all the components that make up the Pike
  language distribution. It will pull in a LOT of packages the
@@ -185,33 +184,12 @@
  Pike is an interpreted programming language, for more information 
  see the description of the pike8.0-core package.
 
-Package: pike8.0-pcre
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
-Description: PCRE module for Pike
- This Pike module (Regexp.PCRE) enables one to use the PCRE (Perl
- compatible regular expressions) library from within the Pike
- programs.
- .
- Pike is an interpreted programming language, for more information 
- see the description of the pike8.0-core package.
-
 Package: pike8.0-bzip2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
 Description: Bzip2 module for Pike
  This Pike module enables one to use the Bzip2 compression
  algorithm from within the Pike programs.
- .
- Pike is an interpreted programming language, for more information 
- see the description of the pike8.0-core package.
-
-Package: pike8.0-fuse
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pike8.0-core (= ${binary:Version})
-Description: Filesystem in USErspace support for Pike
- This Pike module enables one to export filesystems to the Linux
- kernel using the FUSE library.
  .
  Pike is an interpreted programming language, for more information 
  see the description of the pike8.0-core package.
